package com.artfess.query.dao;

import com.artfess.query.model.BizQueryTagCondition;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 按标签分类查询条件表（BIZ_QUERY_TAG_CONDITION） Mapper 接口
 *
 * @company 阿特菲斯信息技术有限公司
 * @author wh
 * @since 2025-02-17
 */
public interface BizQueryTagConditionDao extends BaseMapper<BizQueryTagCondition> {
    /**
     * @Description: 根据标签查询配置条件
     * @param tagId  标签ID
     * @Return: java.util.List<com.artfess.query.model.BizQueryTagCondition>
     * @Author: chens
     * @Date: 2025/3/26 10:45:49
     */
    List<BizQueryTagCondition> qureyConditionByTag(@Param("tagId") String tagId);
}
